pcl::PointXYZLAB Struct Reference
Module common

A point structure representing Euclidean xyz coordinates, and the CIELAB color. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointXYZLAB:

## Public Member Functions

| PointXYZLAB (const _PointXYZLAB &p)
| PointXYZLAB ()

## Friends

std::ostream & | operator<< (std::ostream &os, const PointXYZLAB &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_PointXYZLAB
| PCL_ADD_POINT4D
union {
struct {
float L
float a
float b
} |
float data_lab [4]
}; |

## Detailed Description

A point structure representing Euclidean xyz coordinates, and the CIELAB color.

Definition at line 759 of file point_types.hpp.

## Constructor & Destructor Documentation

## PointXYZLAB() [1/2]

pcl::PointXYZLAB::PointXYZLAB | ( | const _PointXYZLAB & | p | ) |

inline

Definition at line 761 of file point_types.hpp.

References pcl::_PointXYZLAB::a, pcl::_PointXYZLAB::b, and pcl::_PointXYZLAB::L.

## PointXYZLAB() [2/2]

pcl::PointXYZLAB::PointXYZLAB | ( |  | ) |

inline

Definition at line 767 of file point_types.hpp.

References pcl::_PointXYZLAB::a, pcl::_PointXYZLAB::b, pcl::_PointXYZLAB::data_lab, and pcl::_PointXYZLAB::L.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PointXYZLAB & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp